%define shortname glew

Name: %{shortname}1.3
Version: 1.3.6
Release: alt3

License: GPL
Url: http://glew.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries
Source: %{shortname}-%version-src.tgz

BuildRequires: libXi-devel libXmu-devel libmesa-devel

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

%package -n lib%shortname
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries

%description -n lib%shortname
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.
Compatibility package.

%prep
%setup -q -n %shortname

%build

# crappy git doesn't allow empty directories
mkdir lib
mkdir bin
%make 

%install

mkdir -p %buildroot%_libdir
install -pm644 lib/libGLEW.so.%version %buildroot%_libdir
ln -sf libGLEW.so.%version %buildroot%_libdir/libGLEW.so.1.3

%post -n libglew -p %post_ldconfig

%postun -n libglew -p %postun_ldconfig

%files -n lib%shortname
%_libdir/*.so.*

%changelog
* Thu Nov 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.6-alt3
- Fixed post/postun (closes: #13163).

* Wed May 02 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.6-alt2
- Compatibility package to ease up moving to newer glew.

* Sun Mar 11 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.6-alt1
- 1.3.6 release.

* Thu Jan 18 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.3.5-alt2
- Added requires "libmesa-devel" for libglew-devel (fixes #10834).
- Fixed #10836, thanks Sergei Epiphanov (serpiph@).

* Thu Dec 14 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.5-alt1
- 1.3.5 release.

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.4-alt1
- 1.3.4 release.

* Fri Aug 26 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.3.3-alt1
- Test build.

